From 6960162922c22b26404793810d89edb898628b9a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 30 2020 01:49:50 +0000
Subject: [PATCH 486/2232] Bump namespace to cxxbridge03


---

diff --git a/Cargo.toml b/Cargo.toml
index ea97712..ad40cad 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -3,7 +3,7 @@ name = "cxx"
 version = "0.2.12" # remember to update html_root_url
 authors = ["David Tolnay <dtolnay@gmail.com>"]
 edition = "2018"
-links = "cxxbridge02"
+links = "cxxbridge03"
 license = "MIT OR Apache-2.0"
 description = "Safe interop between Rust and C++"
 repository = "https://github.com/dtolnay/cxx"
diff --git a/build.rs b/build.rs
index 5173658..1f3b6eb 100644
--- a/build.rs
+++ b/build.rs
@@ -2,7 +2,7 @@ fn main() {
     cc::Build::new()
         .file("src/cxx.cc")
         .flag("-std=c++11")
-        .compile("cxxbridge02");
+        .compile("cxxbridge03");
     println!("cargo:rerun-if-changed=src/cxx.cc");
     println!("cargo:rerun-if-changed=include/cxx.h");
 }
diff --git a/gen/src/write.rs b/gen/src/write.rs
index b39d978..8869849 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -218,7 +218,7 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
     }
 
     out.begin_block("namespace rust");
-    out.begin_block("inline namespace cxxbridge02");
+    out.begin_block("inline namespace cxxbridge03");
 
     if needs_rust_string
         || needs_rust_str
@@ -241,15 +241,15 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
         writeln!(out, "struct unsafe_bitcopy_t;");
     }
 
-    write_header_section(out, needs_rust_string, "CXXBRIDGE02_RUST_STRING");
-    write_header_section(out, needs_rust_str, "CXXBRIDGE02_RUST_STR");
-    write_header_section(out, needs_rust_slice, "CXXBRIDGE02_RUST_SLICE");
-    write_header_section(out, needs_rust_box, "CXXBRIDGE02_RUST_BOX");
-    write_header_section(out, needs_rust_vec, "CXXBRIDGE02_RUST_VEC");
-    write_header_section(out, needs_rust_fn, "CXXBRIDGE02_RUST_FN");
-    write_header_section(out, needs_rust_error, "CXXBRIDGE02_RUST_ERROR");
-    write_header_section(out, needs_rust_isize, "CXXBRIDGE02_RUST_ISIZE");
-    write_header_section(out, needs_unsafe_bitcopy, "CXXBRIDGE02_RUST_BITCOPY");
+    write_header_section(out, needs_rust_string, "CXXBRIDGE03_RUST_STRING");
+    write_header_section(out, needs_rust_str, "CXXBRIDGE03_RUST_STR");
+    write_header_section(out, needs_rust_slice, "CXXBRIDGE03_RUST_SLICE");
+    write_header_section(out, needs_rust_box, "CXXBRIDGE03_RUST_BOX");
+    write_header_section(out, needs_rust_vec, "CXXBRIDGE03_RUST_VEC");
+    write_header_section(out, needs_rust_fn, "CXXBRIDGE03_RUST_FN");
+    write_header_section(out, needs_rust_error, "CXXBRIDGE03_RUST_ERROR");
+    write_header_section(out, needs_rust_isize, "CXXBRIDGE03_RUST_ISIZE");
+    write_header_section(out, needs_unsafe_bitcopy, "CXXBRIDGE03_RUST_BITCOPY");
 
     if needs_manually_drop {
         out.next_section();
@@ -275,7 +275,7 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
         writeln!(out, "}};");
     }
 
-    out.end_block("namespace cxxbridge02");
+    out.end_block("namespace cxxbridge03");
 
     if needs_trycatch {
         out.begin_block("namespace behavior");
@@ -368,7 +368,7 @@ fn write_exception_glue(out: &mut OutFile, apis: &[Api]) {
         out.next_section();
         writeln!(
             out,
-            "const char *cxxbridge02$exception(const char *, size_t);",
+            "const char *cxxbridge03$exception(const char *, size_t);",
         );
     }
 }
@@ -506,7 +506,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         writeln!(out, "        throw$.len = ::std::strlen(catch$);");
         writeln!(
             out,
-            "        throw$.ptr = cxxbridge02$exception(catch$, throw$.len);",
+            "        throw$.ptr = cxxbridge03$exception(catch$, throw$.len);",
         );
         writeln!(out, "      }});");
         writeln!(out, "  return throw$;");
@@ -977,7 +977,7 @@ fn write_generic_instantiations(out: &mut OutFile, types: &Types) {
     out.end_block("extern \"C\"");
 
     out.begin_block("namespace rust");
-    out.begin_block("inline namespace cxxbridge02");
+    out.begin_block("inline namespace cxxbridge03");
     for ty in types {
         if let Type::RustBox(ty) = ty {
             if let Type::Ident(inner) = &ty.inner {
@@ -991,7 +991,7 @@ fn write_generic_instantiations(out: &mut OutFile, types: &Types) {
             }
         }
     }
-    out.end_block("namespace cxxbridge02");
+    out.end_block("namespace cxxbridge03");
     out.end_block("namespace rust");
 }
 
@@ -1004,19 +1004,19 @@ fn write_rust_box_extern(out: &mut OutFile, ident: &Ident) {
     inner += &ident.to_string();
     let instance = inner.replace("::", "$");
 
-    writeln!(out, "#ifndef CXXBRIDGE02_RUST_BOX_{}", instance);
-    writeln!(out, "#define CXXBRIDGE02_RUST_BOX_{}", instance);
+    writeln!(out, "#ifndef CXXBRIDGE03_RUST_BOX_{}", instance);
+    writeln!(out, "#define CXXBRIDGE03_RUST_BOX_{}", instance);
     writeln!(
         out,
-        "void cxxbridge02$box${}$uninit(::rust::Box<{}> *ptr) noexcept;",
+        "void cxxbridge03$box${}$uninit(::rust::Box<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "void cxxbridge02$box${}$drop(::rust::Box<{}> *ptr) noexcept;",
+        "void cxxbridge03$box${}$drop(::rust::Box<{}> *ptr) noexcept;",
         instance, inner,
     );
-    writeln!(out, "#endif // CXXBRIDGE02_RUST_BOX_{}", instance);
+    writeln!(out, "#endif // CXXBRIDGE03_RUST_BOX_{}", instance);
 }
 
 fn write_rust_vec_extern(out: &mut OutFile, element: &Ident) {
@@ -1024,34 +1024,34 @@ fn write_rust_vec_extern(out: &mut OutFile, element: &Ident) {
     let inner = to_typename(&out.namespace, &element);
     let instance = to_mangled(&out.namespace, &element);
 
-    writeln!(out, "#ifndef CXXBRIDGE02_RUST_VEC_{}", instance);
-    writeln!(out, "#define CXXBRIDGE02_RUST_VEC_{}", instance);
+    writeln!(out, "#ifndef CXXBRIDGE03_RUST_VEC_{}", instance);
+    writeln!(out, "#define CXXBRIDGE03_RUST_VEC_{}", instance);
     writeln!(
         out,
-        "void cxxbridge02$rust_vec${}$new(const ::rust::Vec<{}> *ptr) noexcept;",
+        "void cxxbridge03$rust_vec${}$new(const ::rust::Vec<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "void cxxbridge02$rust_vec${}$drop(::rust::Vec<{}> *ptr) noexcept;",
+        "void cxxbridge03$rust_vec${}$drop(::rust::Vec<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "size_t cxxbridge02$rust_vec${}$len(const ::rust::Vec<{}> *ptr) noexcept;",
+        "size_t cxxbridge03$rust_vec${}$len(const ::rust::Vec<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "const {} *cxxbridge02$rust_vec${}$data(const ::rust::Vec<{0}> *ptr) noexcept;",
+        "const {} *cxxbridge03$rust_vec${}$data(const ::rust::Vec<{0}> *ptr) noexcept;",
         inner, instance,
     );
     writeln!(
         out,
-        "size_t cxxbridge02$rust_vec${}$stride() noexcept;",
+        "size_t cxxbridge03$rust_vec${}$stride() noexcept;",
         instance,
     );
-    writeln!(out, "#endif // CXXBRIDGE02_RUST_VEC_{}", instance);
+    writeln!(out, "#endif // CXXBRIDGE03_RUST_VEC_{}", instance);
 }
 
 fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
@@ -1065,12 +1065,12 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::uninit() noexcept {{", inner);
-    writeln!(out, "  cxxbridge02$box${}$uninit(this);", instance);
+    writeln!(out, "  cxxbridge03$box${}$uninit(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::drop() noexcept {{", inner);
-    writeln!(out, "  cxxbridge02$box${}$drop(this);", instance);
+    writeln!(out, "  cxxbridge03$box${}$drop(this);", instance);
     writeln!(out, "}}");
 }
 
@@ -1081,35 +1081,35 @@ fn write_rust_vec_impl(out: &mut OutFile, element: &Ident) {
 
     writeln!(out, "template <>");
     writeln!(out, "Vec<{}>::Vec() noexcept {{", inner);
-    writeln!(out, "  cxxbridge02$rust_vec${}$new(this);", instance);
+    writeln!(out, "  cxxbridge03$rust_vec${}$new(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "void Vec<{}>::drop() noexcept {{", inner);
     writeln!(
         out,
-        "  return cxxbridge02$rust_vec${}$drop(this);",
+        "  return cxxbridge03$rust_vec${}$drop(this);",
         instance,
     );
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "size_t Vec<{}>::size() const noexcept {{", inner);
-    writeln!(out, "  return cxxbridge02$rust_vec${}$len(this);", instance);
+    writeln!(out, "  return cxxbridge03$rust_vec${}$len(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "const {} *Vec<{0}>::data() const noexcept {{", inner);
     writeln!(
         out,
-        "  return cxxbridge02$rust_vec${}$data(this);",
+        "  return cxxbridge03$rust_vec${}$data(this);",
         instance,
     );
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "size_t Vec<{}>::stride() noexcept {{", inner);
-    writeln!(out, "  return cxxbridge02$rust_vec${}$stride();", instance);
+    writeln!(out, "  return cxxbridge03$rust_vec${}$stride();", instance);
     writeln!(out, "}}");
 }
 
@@ -1117,12 +1117,12 @@ fn write_unique_ptr(out: &mut OutFile, ident: &Ident, types: &Types) {
     let ty = Type::Ident(ident.clone());
     let instance = to_mangled(&out.namespace, &ty);
 
-    writeln!(out, "#ifndef CXXBRIDGE02_UNIQUE_PTR_{}", instance);
-    writeln!(out, "#define CXXBRIDGE02_UNIQUE_PTR_{}", instance);
+    writeln!(out, "#ifndef CXXBRIDGE03_UNIQUE_PTR_{}", instance);
+    writeln!(out, "#define CXXBRIDGE03_UNIQUE_PTR_{}", instance);
 
     write_unique_ptr_common(out, &ty, types);
 
-    writeln!(out, "#endif // CXXBRIDGE02_UNIQUE_PTR_{}", instance);
+    writeln!(out, "#endif // CXXBRIDGE03_UNIQUE_PTR_{}", instance);
 }
 
 // Shared by UniquePtr<T> and UniquePtr<CxxVector<T>>.
@@ -1148,7 +1148,7 @@ fn write_unique_ptr_common(out: &mut OutFile, ty: &Type, types: &Types) {
     );
     writeln!(
         out,
-        "void cxxbridge02$unique_ptr${}$null(::std::unique_ptr<{}> *ptr) noexcept {{",
+        "void cxxbridge03$unique_ptr${}$null(::std::unique_ptr<{}> *ptr) noexcept {{",
         instance, inner,
     );
     writeln!(out, "  new (ptr) ::std::unique_ptr<{}>();", inner);
@@ -1156,7 +1156,7 @@ fn write_unique_ptr_common(out: &mut OutFile, ty: &Type, types: &Types) {
     if can_construct_from_value {
         writeln!(
             out,
-            "void cxxbridge02$unique_ptr${}$new(::std::unique_ptr<{}> *ptr, {} *value) noexcept {{",
+            "void cxxbridge03$unique_ptr${}$new(::std::unique_ptr<{}> *ptr, {} *value) noexcept {{",
             instance, inner, inner,
         );
         writeln!(
@@ -1168,28 +1168,28 @@ fn write_unique_ptr_common(out: &mut OutFile, ty: &Type, types: &Types) {
     }
     writeln!(
         out,
-        "void cxxbridge02$unique_ptr${}$raw(::std::unique_ptr<{}> *ptr, {} *raw) noexcept {{",
+        "void cxxbridge03$unique_ptr${}$raw(::std::unique_ptr<{}> *ptr, {} *raw) noexcept {{",
         instance, inner, inner,
     );
     writeln!(out, "  new (ptr) ::std::unique_ptr<{}>(raw);", inner);
     writeln!(out, "}}");
     writeln!(
         out,
-        "const {} *cxxbridge02$unique_ptr${}$get(const ::std::unique_ptr<{}>& ptr) noexcept {{",
+        "const {} *cxxbridge03$unique_ptr${}$get(const ::std::unique_ptr<{}>& ptr) noexcept {{",
         inner, instance, inner,
     );
     writeln!(out, "  return ptr.get();");
     writeln!(out, "}}");
     writeln!(
         out,
-        "{} *cxxbridge02$unique_ptr${}$release(::std::unique_ptr<{}>& ptr) noexcept {{",
+        "{} *cxxbridge03$unique_ptr${}$release(::std::unique_ptr<{}>& ptr) noexcept {{",
         inner, instance, inner,
     );
     writeln!(out, "  return ptr.release();");
     writeln!(out, "}}");
     writeln!(
         out,
-        "void cxxbridge02$unique_ptr${}$drop(::std::unique_ptr<{}> *ptr) noexcept {{",
+        "void cxxbridge03$unique_ptr${}$drop(::std::unique_ptr<{}> *ptr) noexcept {{",
         instance, inner,
     );
     writeln!(out, "  ptr->~unique_ptr();");
@@ -1201,18 +1201,18 @@ fn write_cxx_vector(out: &mut OutFile, vector_ty: &Type, element: &Ident, types:
     let inner = to_typename(&out.namespace, &element);
     let instance = to_mangled(&out.namespace, &element);
 
-    writeln!(out, "#ifndef CXXBRIDGE02_VECTOR_{}", instance);
-    writeln!(out, "#define CXXBRIDGE02_VECTOR_{}", instance);
+    writeln!(out, "#ifndef CXXBRIDGE03_VECTOR_{}", instance);
+    writeln!(out, "#define CXXBRIDGE03_VECTOR_{}", instance);
     writeln!(
         out,
-        "size_t cxxbridge02$std$vector${}$size(const ::std::vector<{}> &s) noexcept {{",
+        "size_t cxxbridge03$std$vector${}$size(const ::std::vector<{}> &s) noexcept {{",
         instance, inner,
     );
     writeln!(out, "  return s.size();");
     writeln!(out, "}}");
     writeln!(
         out,
-        "const {} &cxxbridge02$std$vector${}$get_unchecked(const ::std::vector<{}> &s, size_t pos) noexcept {{",
+        "const {} &cxxbridge03$std$vector${}$get_unchecked(const ::std::vector<{}> &s, size_t pos) noexcept {{",
         inner, instance, inner,
     );
     writeln!(out, "  return s[pos];");
@@ -1220,5 +1220,5 @@ fn write_cxx_vector(out: &mut OutFile, vector_ty: &Type, element: &Ident, types:
 
     write_unique_ptr_common(out, vector_ty, types);
 
-    writeln!(out, "#endif // CXXBRIDGE02_VECTOR_{}", instance);
+    writeln!(out, "#endif // CXXBRIDGE03_VECTOR_{}", instance);
 }
diff --git a/include/cxx.h b/include/cxx.h
index 1e33618..7762719 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -13,18 +13,18 @@
 #endif
 
 namespace rust {
-inline namespace cxxbridge02 {
+inline namespace cxxbridge03 {
 
-#ifndef CXXBRIDGE02_RUST_BITCOPY
-#define CXXBRIDGE02_RUST_BITCOPY
+#ifndef CXXBRIDGE03_RUST_BITCOPY
+#define CXXBRIDGE03_RUST_BITCOPY
 struct unsafe_bitcopy_t {
   explicit unsafe_bitcopy_t() = default;
 };
 constexpr unsafe_bitcopy_t unsafe_bitcopy{};
-#endif // CXXBRIDGE02_RUST_BITCOPY
+#endif // CXXBRIDGE03_RUST_BITCOPY
 
-#ifndef CXXBRIDGE02_RUST_STRING
-#define CXXBRIDGE02_RUST_STRING
+#ifndef CXXBRIDGE03_RUST_STRING
+#define CXXBRIDGE03_RUST_STRING
 class String final {
 public:
   String() noexcept;
@@ -52,10 +52,10 @@ private:
   // Size and alignment statically verified by rust_string.rs.
   std::array<uintptr_t, 3> repr;
 };
-#endif // CXXBRIDGE02_RUST_STRING
+#endif // CXXBRIDGE03_RUST_STRING
 
-#ifndef CXXBRIDGE02_RUST_STR
-#define CXXBRIDGE02_RUST_STR
+#ifndef CXXBRIDGE03_RUST_STR
+#define CXXBRIDGE03_RUST_STR
 class Str final {
 public:
   Str() noexcept;
@@ -88,10 +88,10 @@ public:
 private:
   Repr repr;
 };
-#endif // CXXBRIDGE02_RUST_STR
+#endif // CXXBRIDGE03_RUST_STR
 
-#ifndef CXXBRIDGE02_RUST_SLICE
-#define CXXBRIDGE02_RUST_SLICE
+#ifndef CXXBRIDGE03_RUST_SLICE
+#define CXXBRIDGE03_RUST_SLICE
 template <typename T>
 class Slice final {
 public:
@@ -124,10 +124,10 @@ public:
 private:
   Repr repr;
 };
-#endif // CXXBRIDGE02_RUST_SLICE
+#endif // CXXBRIDGE03_RUST_SLICE
 
-#ifndef CXXBRIDGE02_RUST_BOX
-#define CXXBRIDGE02_RUST_BOX
+#ifndef CXXBRIDGE03_RUST_BOX
+#define CXXBRIDGE03_RUST_BOX
 template <typename T>
 class Box final {
 public:
@@ -204,10 +204,10 @@ private:
   void drop() noexcept;
   T *ptr;
 };
-#endif // CXXBRIDGE02_RUST_BOX
+#endif // CXXBRIDGE03_RUST_BOX
 
-#ifndef CXXBRIDGE02_RUST_VEC
-#define CXXBRIDGE02_RUST_VEC
+#ifndef CXXBRIDGE03_RUST_VEC
+#define CXXBRIDGE03_RUST_VEC
 template <typename T>
 class Vec final {
 public:
@@ -289,10 +289,10 @@ private:
   // Size and alignment statically verified by rust_vec.rs.
   std::array<uintptr_t, 3> repr;
 };
-#endif // CXXBRIDGE02_RUST_VEC
+#endif // CXXBRIDGE03_RUST_VEC
 
-#ifndef CXXBRIDGE02_RUST_FN
-#define CXXBRIDGE02_RUST_FN
+#ifndef CXXBRIDGE03_RUST_FN
+#define CXXBRIDGE03_RUST_FN
 template <typename Signature, bool Throws = false>
 class Fn;
 
@@ -309,10 +309,10 @@ private:
 
 template <typename Signature>
 using TryFn = Fn<Signature, true>;
-#endif // CXXBRIDGE02_RUST_FN
+#endif // CXXBRIDGE03_RUST_FN
 
-#ifndef CXXBRIDGE02_RUST_ERROR
-#define CXXBRIDGE02_RUST_ERROR
+#ifndef CXXBRIDGE03_RUST_ERROR
+#define CXXBRIDGE03_RUST_ERROR
 class Error final : std::exception {
 public:
   Error(const Error &);
@@ -324,16 +324,16 @@ public:
 private:
   Str::Repr msg;
 };
-#endif // CXXBRIDGE02_RUST_ERROR
+#endif // CXXBRIDGE03_RUST_ERROR
 
-#ifndef CXXBRIDGE02_RUST_ISIZE
-#define CXXBRIDGE02_RUST_ISIZE
+#ifndef CXXBRIDGE03_RUST_ISIZE
+#define CXXBRIDGE03_RUST_ISIZE
 #if defined(_WIN32)
 using isize = SSIZE_T;
 #else
 using isize = ssize_t;
 #endif
-#endif // CXXBRIDGE02_RUST_ISIZE
+#endif // CXXBRIDGE03_RUST_ISIZE
 
 std::ostream &operator<<(std::ostream &, const String &);
 std::ostream &operator<<(std::ostream &, const Str &);
@@ -359,5 +359,5 @@ Fn<Ret(Args...), Throws> Fn<Ret(Args...), Throws>::operator*() const noexcept {
   return *this;
 }
 
-} // namespace cxxbridge02
+} // namespace cxxbridge03
 } // namespace rust
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 27d75fe..15a091b 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -517,7 +517,7 @@ fn expand_rust_function_shim_impl(
 }
 
 fn expand_rust_box(namespace: &Namespace, ident: &Ident) -> TokenStream {
-    let link_prefix = format!("cxxbridge02$box${}{}$", namespace, ident);
+    let link_prefix = format!("cxxbridge03$box${}{}$", namespace, ident);
     let link_uninit = format!("{}uninit", link_prefix);
     let link_drop = format!("{}drop", link_prefix);
 
@@ -546,7 +546,7 @@ fn expand_rust_box(namespace: &Namespace, ident: &Ident) -> TokenStream {
 }
 
 fn expand_rust_vec(namespace: &Namespace, elem: &Ident) -> TokenStream {
-    let link_prefix = format!("cxxbridge02$rust_vec${}{}$", namespace, elem);
+    let link_prefix = format!("cxxbridge03$rust_vec${}{}$", namespace, elem);
     let link_new = format!("{}new", link_prefix);
     let link_drop = format!("{}drop", link_prefix);
     let link_len = format!("{}len", link_prefix);
@@ -592,7 +592,7 @@ fn expand_rust_vec(namespace: &Namespace, elem: &Ident) -> TokenStream {
 
 fn expand_unique_ptr(namespace: &Namespace, ident: &Ident, types: &Types) -> TokenStream {
     let name = ident.to_string();
-    let prefix = format!("cxxbridge02$unique_ptr${}{}$", namespace, ident);
+    let prefix = format!("cxxbridge03$unique_ptr${}{}$", namespace, ident);
     let link_null = format!("{}null", prefix);
     let link_new = format!("{}new", prefix);
     let link_raw = format!("{}raw", prefix);
@@ -665,10 +665,10 @@ fn expand_unique_ptr(namespace: &Namespace, ident: &Ident, types: &Types) -> Tok
 
 fn expand_cxx_vector(namespace: &Namespace, elem: &Ident) -> TokenStream {
     let name = elem.to_string();
-    let prefix = format!("cxxbridge02$std$vector${}{}$", namespace, elem);
+    let prefix = format!("cxxbridge03$std$vector${}{}$", namespace, elem);
     let link_size = format!("{}size", prefix);
     let link_get_unchecked = format!("{}get_unchecked", prefix);
-    let unique_ptr_prefix = format!("cxxbridge02$unique_ptr$std$vector${}{}$", namespace, elem);
+    let unique_ptr_prefix = format!("cxxbridge03$unique_ptr$std$vector${}{}$", namespace, elem);
     let link_unique_ptr_null = format!("{}null", unique_ptr_prefix);
     let link_unique_ptr_raw = format!("{}raw", unique_ptr_prefix);
     let link_unique_ptr_get = format!("{}get", unique_ptr_prefix);
